using System;
using System.Collections.Generic;
using System.Text;
using Vevo.Domain.Base;
using Vevo.Domain.Shipping;

namespace Vevo.Domain.DataInterfaces
{
    public interface IShippingOptionRepository
    {
        #region Public Methods

        ShippingOption Save( ShippingOption shippingOption );
        void Delete( string shippingID );
        void DeleteLocalesByCultureID( string cultureID );

        ShippingOption GetOne( Culture culture, string shippingID );
        IList<ILocale> GetLocales( string shippingID );

        IList<ShippingOption> SearchShipping(
                Culture culture,
                string sortBy,
                int startIndex,
                int endIndex,
                out int howManyItems
            );
        string GetIDFromName( string name );
        IList<ShippingOption> GetShipping( Culture culture, BoolFilter isRealTimeShipping );
        IList<ShippingOption> GetAllByShippingZoneGroupID( Culture culture, string shippingZoneGroupID );
        IList<ShippingZone> GetShippingZone( string shippingID );

        #endregion
    }
}
