using System;
using System.Collections.Generic;
using System.Text;

namespace Vevo.Domain.Discounts
{
    public class NullDiscountGroup : DiscountGroup
    {
        #region Private

        private static DiscountGroup _instance = new NullDiscountGroup();

        #endregion


        #region Public Properties

        public static DiscountGroup Instance
        {
            get { return _instance; }
        }

        public override bool IsNull
        {
            get
            {
                return true;
            }
        }

        #endregion


        #region Public Methods

        public override decimal GetDiscount( int quantity, decimal subtotal )
        {
            return 0;
        }

        #endregion
    }
}
