using System;
using System.Collections.Generic;
using System.Text;

using Vevo.Domain.Products;

namespace Vevo.Domain.Orders
{
    public class NullCartItem : CartItem
    {
        #region Private

        private static CartItem _instance = new NullCartItem();


        private NullCartItem()
            : base( Guid.Empty.ToString(), Product.Null, 0 )
        {
        }

        #endregion


        #region Public Properties

        public static CartItem Instance
        {
            get { return _instance; }
        }

        public override bool IsNull
        {
            get { return true; }
        }

        #endregion
    }
}
