using System;
using System.Collections.Generic;
using System.Text;

namespace Vevo.Domain.Orders
{
    public class OrderAmountPackage
    {
        #region Private

        private OrderAmount _checkoutAmount;
        private OrderAmount _recurringRegularAmount;
        private OrderAmount _recurringTrialAmount;

        #endregion


        #region Constructors

        public OrderAmountPackage(
            OrderAmount checkoutAmount,
            OrderAmount recurringRegularAmount,
            OrderAmount recurringTrialAmount )
        {
            _checkoutAmount = checkoutAmount;
            _recurringRegularAmount = recurringRegularAmount;
            _recurringTrialAmount = recurringTrialAmount;
        }

        #endregion


        #region Public Properties

        public OrderAmount CheckoutAmount { get { return _checkoutAmount; } }
        public OrderAmount RecurringRegularAmount { get { return _recurringRegularAmount; } }
        public OrderAmount RecurringTrialAmount { get { return _recurringTrialAmount; } }

        #endregion
    }
}
