using System;
using System.Collections;
using System.Data;
using System.IO;
using System.Text;

namespace Vevo.Reports.Exporters
{
    public class SearchReportExporter
    {
        public SearchReportExporter()
        {
            //
            // TODO: Add constructor logic here
            //
        }
        private string GenerateHeader()
        {
            return "\"Keyword\",\"Found\",\"Not Found\"," +
                   "\"Total\",\"Percentage\"";
        }

        private string GenerateDetail( DataRow row )
        {
            string keyword, found, notFound, total, percentage;
            keyword = row["Keyword"].ToString();
            found = row["Found"].ToString();
            notFound = row["NotFound"].ToString();
            total = row["Total"].ToString();
            percentage = String.Format( "{0:n2} %", row["Percentage"].ToString() );

            return keyword + "," + found + "," + notFound + "," + total + "," + percentage;
        }

        public string ExportSearchReportData(
            PeriodType period,
            string numDisplay,
            string filePhysicalPath,
            DateTime startDate,
            DateTime endDate,
            out string message,
            out string message1,
            out string fileNameLinkText )
        {
            string sort = "Total DESC";

            SearchReportBuilder searchReportBuilder = new SearchReportBuilder();
            DataTable table = searchReportBuilder.GetSearchReportData(
                sort,
                numDisplay,
                period,
                startDate,
                endDate );

            string filePathName = "Export/Search_Top" +
                numDisplay + "_Report_" +
                startDate.Month + "_" + startDate.Day + "_" + startDate.Year + "_to_" +
                endDate.Month + "_" + endDate.Day + "_" + endDate.Year + ".csv";

            string filePhysicalPathName = filePhysicalPath + filePathName;

            if (table.Rows.Count > 0)
            {
                StreamWriter writer = new StreamWriter( filePhysicalPathName, false );
                writer.WriteLine( GenerateHeader() );

                string details;
                foreach (DataRow row in table.Rows)
                {
                    details = GenerateDetail( row );
                    writer.WriteLine( details );
                }
                writer.Dispose();
            }

            if (table.Rows.Count == 0)
            {
                message = "No data to export.";
                message1 = "";
                fileNameLinkText = "";
                return "";
            }
            else
            {
                message = "Export file is successfully create.";
                message1 = "Download ";
                fileNameLinkText = Path.GetFileName( filePathName );
                return "../DownloadFile.aspx?FilePath=" + "../" + filePathName;
            }
        }

    }
}
